var MorphColor = /* @__PURE__ */ ((MorphColor2) => {
  MorphColor2["none"] = "None";
  MorphColor2["white"] = "White";
  MorphColor2["orange"] = "Orange";
  MorphColor2["magenta"] = "magenta";
  MorphColor2["lightBlue"] = "Light Blue";
  MorphColor2["yellow"] = "Yellow";
  MorphColor2["lime"] = "Lime";
  MorphColor2["pink"] = "Pink";
  MorphColor2["lightGray"] = "Light Gray";
  MorphColor2["gray"] = "Gray";
  MorphColor2["cyan"] = "Cyan";
  MorphColor2["purple"] = "Purple";
  MorphColor2["blue"] = "Blue";
  MorphColor2["brown"] = "Brown";
  MorphColor2["green"] = "Green";
  MorphColor2["red"] = "Red";
  MorphColor2["black"] = "Black";
  return MorphColor2;
})(MorphColor || {});
const mobs = [
  { id: "player", name: "Player", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0 },
  { id: "allay", name: "Allay", variants: [], effects: [], speed: {}, can_fly: true, has_ability: 0 },
  { id: "armadillo", name: "Armadillo", variants: [], effects: ["resistance"], speed: {}, can_fly: false, has_ability: 0 },
  { id: "axolotl", name: "Axolotl", variants: ["blue", "cyan", "gold", "lucy", "wild"], effects: ["water_breathing"], speed: { "water": 0.05, "underwater": 0.05 }, can_fly: false, has_ability: 0 },
  { id: "bat", name: "Bat", variants: [], effects: ["night_vision"], speed: {}, can_fly: true, has_ability: 0 },
  { id: "bee", name: "Bee", variants: [], effects: [], speed: {}, can_fly: true, has_ability: 0 },
  { id: "blaze", name: "Blaze", variants: [], effects: ["fire_resistance"], speed: {}, can_fly: true, has_ability: 100 },
  { id: "bogged", name: "Bogged", variants: [], effects: ["water_breathing"], speed: {}, can_fly: false, has_ability: 0 },
  { id: "breeze", name: "Breeze", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 100 },
  { id: "camel", name: "Camel", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0 },
  { id: "cat", name: "Cat", variants: ["white", "tuxedo", "red_tabby", "siamese", "british_short_hair", "calico", "persian", "rag_doll", "tabby", "jellie", "black"], effects: [], speed: {}, can_fly: false, has_ability: 0 },
  { id: "cave_spider", name: "Cave Spider", variants: [], effects: ["night_vision"], speed: {}, can_fly: false, has_ability: 0 },
  { id: "chicken", name: "Chicken", variants: [], effects: ["slow_falling"], speed: {}, can_fly: false, has_ability: 0 },
  { id: "cod", name: "Cod", variants: [], effects: ["water_breathing"], speed: { "water": 0.05, "underwater": 0.05 }, can_fly: false, has_ability: 0 },
  { id: "cow", name: "Cow", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 200 },
  { id: "creaking", name: "Creaking", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0 },
  { id: "creeper", name: "Creeper", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 100 },
  { id: "dolphin", name: "Dolphin", variants: [], effects: [], speed: { "water": 0.9, "underwater": 0.05 }, can_fly: false, has_ability: 0 },
  { id: "donkey", name: "Donkey", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0 },
  { id: "drowned", name: "Drowned", variants: [], effects: ["water_breathing"], speed: {}, can_fly: false, has_ability: 100 },
  { id: "elder_guardian", name: "Elder Guardian", variants: [], effects: ["water_breathing"], speed: {}, can_fly: false, has_ability: 0 },
  { id: "ender_dragon", name: "Ender Dragon", variants: [], effects: ["resistance"], speed: {}, can_fly: true, has_ability: 100 },
  { id: "enderman", name: "Enderman", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 100 },
  { id: "endermite", name: "Endermite", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0 },
  { id: "evoker", name: "Evoker", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 100 },
  { id: "fox", name: "Fox", variants: ["red", "arctic"], effects: ["jump_boost/1"], speed: {}, can_fly: false, has_ability: 0 },
  { id: "frog", name: "Frog", variants: ["temperate", "cold", "warm"], effects: ["jump_boost/2", "water_breathing"], speed: {}, can_fly: false, has_ability: 0 },
  { id: "ghast", name: "Ghast", variants: [], effects: ["fire_resistance"], speed: {}, can_fly: true, has_ability: 100 },
  { id: "glow_squid", name: "Glow Squid", variants: [], effects: ["water_breathing"], speed: {}, can_fly: false, has_ability: 0 },
  { id: "goat", name: "Goat", variants: ["both_horns", "right_horn", "left_horn", "no_horns"], effects: ["jump_boost/1"], speed: {}, can_fly: false, has_ability: 100 },
  { id: "guardian", name: "Guardian", variants: [], effects: ["water_breathing"], speed: { "water": 0.05, "underwater": 0.05 }, can_fly: false, has_ability: 0 },
  { id: "hoglin", name: "Hoglin", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0 },
  { id: "horse", name: "Horse", variants: ["white", "creamy", "chestnut", "brown", "black", "gray", "dark_brown"], effects: [], speed: {}, can_fly: false, has_ability: 0 },
  { id: "husk", name: "Husk", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0 },
  { id: "iron_golem", name: "Iron Golem", variants: [], effects: [], speed: { "land": 0.07 }, can_fly: false, has_ability: 100 },
  { id: "llama", name: "Llama", variants: ["creamy", "white", "brown", "gray"], effects: [], speed: {}, can_fly: false, has_ability: 100 },
  { id: "magma_cube", name: "Magma Cube", variants: ["small", "medium", "large"], effects: ["fire_resistance", "jump_boost/2"], speed: {}, can_fly: false, has_ability: 0 },
  { id: "mooshroom", name: "Mooshroom", variants: ["red", "brown"], effects: [], speed: {}, can_fly: false, has_ability: 0 },
  { id: "mule", name: "Mule", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0 },
  { id: "ocelot", name: "Ocelot", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0 },
  { id: "panda", name: "Panda", variants: ["regular", "lazy", "worried", "playful", "brown", "sneezy", "aggressive"], effects: [], speed: {}, can_fly: false, has_ability: 0 },
  { id: "parrot", name: "Parrot", variants: ["blue", "green", "red_blue", "yellow_blue", "grey"], effects: [], speed: {}, can_fly: true, has_ability: 0 },
  { id: "phantom", name: "Phantom", variants: [], effects: [], speed: {}, can_fly: true, has_ability: 0 },
  { id: "pig", name: "Pig", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 20 },
  { id: "piglin_brute", name: "Piglin Brute", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0 },
  { id: "piglin", name: "Piglin", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0 },
  { id: "pillager", name: "Pillager", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0 },
  { id: "polar_bear", name: "Polar Bear", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0 },
  { id: "pufferfish", name: "Pufferfish", variants: [], effects: ["water_breathing"], speed: { "water": 0.05, "underwater": 0.05 }, can_fly: false, has_ability: 0 },
  { id: "rabbit", name: "Rabbit", variants: ["brown", "white", "black", "spoltched", "gold", "salt", "toast"], effects: ["jump_boost/1"], speed: {}, can_fly: false, has_ability: 0 },
  { id: "ravager", name: "Ravager", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 100 },
  { id: "salmon", name: "Salmon", variants: ["small", "medium", "large"], effects: ["water_breathing"], speed: { "water": 0.05, "underwater": 0.05 }, can_fly: false, has_ability: 0 },
  { id: "sheep", name: "Sheep", variants: ["white", "orange", "magenta", "light_blue", "yellow", "lime", "pink", "light_gray", "gray", "cyan", "purple", "blue", "brown", "green", "red", "black", "jeb"], effects: [], speed: {}, can_fly: false, has_ability: 0 },
  { id: "shulker", name: "Shulker", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 200 },
  { id: "silverfish", name: "Silverfish", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0 },
  { id: "skeleton_horse", name: "Skeleton Horse", variants: [], effects: ["water_breathing"], speed: {}, can_fly: false, has_ability: 0 },
  { id: "skeleton", name: "Skeleton", variants: [], effects: ["water_breathing"], speed: {}, can_fly: false, has_ability: 0 },
  { id: "slime", name: "Slime", variants: ["small", "medium", "large"], effects: ["jump_boost/2"], speed: {}, can_fly: false, has_ability: 0 },
  { id: "sniffer", name: "Sniffer", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0 },
  { id: "snow_golem", name: "Snow Golem", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 5 },
  { id: "spider", name: "Spider", variants: [], effects: ["night_vision"], speed: {}, can_fly: false, has_ability: 0 },
  { id: "squid", name: "Squid", variants: [], effects: ["water_breathing"], speed: { "water": 0.02, "underwater": 0.02 }, can_fly: false, has_ability: 0 },
  { id: "stray", name: "Stray", variants: [], effects: ["water_breathing"], speed: {}, can_fly: false, has_ability: 0 },
  { id: "strider", name: "Strider", variants: [], effects: ["fire_resistance"], speed: { "lava": 0.15 }, can_fly: false, has_ability: 0 },
  { id: "tadpole", name: "Tadpole", variants: [], effects: ["water_breathing"], speed: { "water": 0.05, "underwater": 0.05 }, can_fly: false, has_ability: 0 },
  { id: "trader_llama", name: "Trader Llama", variants: ["creamy", "white", "brown", "gray"], effects: [], speed: {}, can_fly: false, has_ability: 100 },
  { id: "tropical_fish", name: "Tropical Fish", variants: ["white", "orange", "magenta", "light_blue", "yellow", "lime", "pink", "light_gray", "gray", "cyan", "purple", "blue", "brown", "green", "red", "black"], effects: ["water_breathing"], speed: { "water": 0.05, "underwater": 0.05 }, can_fly: false, has_ability: 0 },
  { id: "turtle", name: "Turtle", variants: [], effects: ["water_breathing"], speed: { "land": 0.05, "water": 0.9, "underwater": 0.05 }, can_fly: false, has_ability: 1800 },
  { id: "vex", name: "Vex", variants: [], effects: [], speed: {}, can_fly: true, has_ability: 0 },
  { id: "villager", name: "Villager", variants: ["plains", "desert", "jungle", "savanna", "snow", "swamp", "taiga"], effects: [], speed: {}, can_fly: false, has_ability: 0 },
  { id: "vindicator", name: "Vindicator", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0 },
  { id: "wandering_trader", name: "Wandering Trader", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0 },
  { id: "warden", name: "Warden", variants: [], effects: ["strength"], speed: { "land": 0.05 }, can_fly: false, has_ability: 120 },
  { id: "witch", name: "Witch", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0 },
  { id: "wither_skeleton", name: "Wither Skeleton", variants: [], effects: ["water_breathing"], speed: {}, can_fly: false, has_ability: 0 },
  { id: "wither", name: "Wither", variants: [], effects: ["resistance"], speed: {}, can_fly: true, has_ability: 100 },
  { id: "wolf", name: "Wolf", variants: ["pale", "ashen", "black", "chestnut", "rusty", "snowy", "spotted", "striped", "woods"], effects: [], speed: {}, can_fly: false, has_ability: 0 },
  { id: "zoglin", name: "Zoglin", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0 },
  { id: "zombie_pigman", name: "Zombified Piglin", variants: [], effects: [], speed: { "land": 0.1, "water": 0.01, "underwater": 0.01 }, can_fly: false, has_ability: 0 },
  { id: "zombie_villager", name: "Zombie Villager", variants: ["plains", "desert", "jungle", "savanna", "snow", "swamp", "taiga"], effects: [], speed: {}, can_fly: false, has_ability: 0 },
  { id: "zombie", name: "Zombie", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0 }
];
const blocks = [
  { id: "acacia_leaves", name: "Acacia Leaves", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/leaves_acacia_carried" },
  { id: "acacia_log", name: "Acacia Log", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/log_acacia" },
  { id: "acacia_planks", name: "Acacia Planks", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/planks_acacia" },
  { id: "ancient_debris", name: "Ancient Debris", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/ancient_debris_side" },
  { id: "andesite", name: "Andesite", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/stone_andesite" },
  { id: "azalea_leaves", name: "Azalea Leaves", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/azalea_leaves" },
  { id: "bamboo_mosaic", name: "Bamboo Mosaic", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/bamboo_mosaic" },
  { id: "bamboo_planks", name: "Bamboo Planks", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/bamboo_planks" },
  { id: "barrel", name: "Barrel", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/barrel_side" },
  { id: "basalt", name: "Basalt", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/basalt_side" },
  { id: "beacon", name: "Beacon", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/sd/bam/items/morph_icons/beacon" },
  { id: "bedrock", name: "Bedrock", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/bedrock" },
  { id: "bee_nest", name: "Bee Nest", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/bee_nest_front" },
  { id: "beehive", name: "Beehive", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/beehive_front" },
  { id: "birch_leaves", name: "Birch Leaves", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/leaves_birch_carried" },
  { id: "birch_log", name: "Birch Log", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/log_birch" },
  { id: "birch_planks", name: "Birch Planks", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/planks_birch" },
  { id: "black_concrete", name: "Black Concrete", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/concrete_black" },
  { id: "black_concrete_powder", name: "Black Concrete Powder", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/concrete_powder_black" },
  { id: "black_glazed_terracotta", name: "Black Glazed Terracotta", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/glazed_terracotta_black" },
  { id: "black_stained_glass", name: "Black Stained Glass", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/glass_black" },
  { id: "black_terracotta", name: "Black Terracotta", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/hardened_clay_stained_black" },
  { id: "black_wool", name: "Black Wool", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/wool_colored_black" },
  { id: "blackstone", name: "Blackstone", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/blackstone" },
  { id: "blast_furnace", name: "Blast Furnace", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/blast_furnace_front_off" },
  { id: "amethyst_block", name: "Block of Amethyst", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/amethyst_block" },
  { id: "bamboo_block", name: "Block of Bamboo", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/bamboo_block" },
  { id: "coal_block", name: "Block of Coal", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/coal_block" },
  { id: "copper_block", name: "Block of Copper", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/copper_block" },
  { id: "diamond_block", name: "Block of Diamond", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/diamond_block" },
  { id: "emerald_block", name: "Block of Emerald", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/emerald_block" },
  { id: "gold_block", name: "Block of Gold", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/gold_block" },
  { id: "iron_block", name: "Block of Iron", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/iron_block" },
  { id: "lapis_block", name: "Block of Lapis Lazuli", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/lapis_block" },
  { id: "netherite_block", name: "Block of Netherite", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/netherite_block" },
  { id: "quartz_block", name: "Block of Quartz", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/quartz_block_side" },
  { id: "raw_copper_block", name: "Block of Raw Copper", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/raw_copper_block" },
  { id: "raw_gold_block", name: "Block of Raw Gold", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/raw_gold_block" },
  { id: "raw_iron_block", name: "Block of Raw Iron", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/raw_iron_block" },
  { id: "redstone_block", name: "Block of Redstone", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/redstone_block" },
  { id: "stripped_bamboo_block", name: "Block of Stripped Bamboo", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/stripped_bamboo_block" },
  { id: "blue_concrete", name: "Blue Concrete", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/concrete_blue" },
  { id: "blue_concrete_powder", name: "Blue Concrete Powder", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/concrete_powder_blue" },
  { id: "blue_glazed_terracotta", name: "Blue Glazed Terracotta", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/glazed_terracotta_blue" },
  { id: "blue_ice", name: "Blue Ice", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/blue_ice" },
  { id: "blue_stained_glass", name: "Blue Stained Glass", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/glass_blue" },
  { id: "blue_terracotta", name: "Blue Terracotta", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/hardened_clay_stained_blue" },
  { id: "blue_wool", name: "Blue Wool", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/wool_colored_blue" },
  { id: "bone_block", name: "Bone Block", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/bone_block_side" },
  { id: "bookshelf", name: "Bookshelf", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/bookshelf" },
  { id: "brain_coral_block", name: "Brain Coral Block", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/coral_pink" },
  { id: "brick_block", name: "Bricks", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/brick" },
  { id: "brown_concrete", name: "Brown Concrete", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/concrete_brown" },
  { id: "brown_concrete_powder", name: "Brown Concrete Powder", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/concrete_powder_brown" },
  { id: "brown_glazed_terracotta", name: "Brown Glazed Terracotta", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/glazed_terracotta_brown" },
  { id: "brown_mushroom_block", name: "Brown Mushroom Block", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/mushroom_block_skin_brown" },
  { id: "brown_stained_glass", name: "Brown Stained Glass", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/glass_brown" },
  { id: "brown_terracotta", name: "Brown Terracotta", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/hardened_clay_stained_brown" },
  { id: "brown_wool", name: "Brown Wool", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/wool_colored_brown" },
  { id: "bubble_coral_block", name: "Bubble Coral Block", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/coral_purple" },
  { id: "budding_amethyst", name: "Budding Amethyst", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/budding_amethyst" },
  { id: "calcite", name: "Calcite", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/calcite" },
  { id: "cartography_table", name: "Cartography Table", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/cartography_table_side2" },
  { id: "carved_pumpkin", name: "Carved Pumpkin", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/pumpkin_face_off" },
  { id: "cherry_leaves", name: "Cherry Leaves", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/cherry_leaves" },
  { id: "cherry_log", name: "Cherry Log", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/cherry_log_side" },
  { id: "cherry_planks", name: "Cherry Planks", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/cherry_planks" },
  { id: "chiseled_bookshelf", name: "Chiseled Bookshelf", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/chiseled_bookshelf_occupied" },
  { id: "chiseled_copper", name: "Chiseled Copper", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/chiseled_copper" },
  { id: "chiseled_deepslate", name: "Chiseled Deepslate", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/deepslate/chiseled_deepslate" },
  { id: "chiseled_nether_bricks", name: "Chiseled Nether Bricks", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/chiseled_nether_bricks" },
  { id: "chiseled_polished_blackstone", name: "Chiseled Polished Blackstone", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/chiseled_polished_blackstone" },
  { id: "chiseled_quartz_block", name: "Chiseled Quartz Block", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/quartz_block_chiseled" },
  { id: "chiseled_red_sandstone", name: "Chiseled Red Sandstone", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/red_sandstone_carved" },
  { id: "chiseled_sandstone", name: "Chiseled Sandstone", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/sandstone_carved" },
  { id: "chiseled_stone_bricks", name: "Chiseled Stone Bricks", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/stonebrick_carved" },
  { id: "chiseled_tuff", name: "Chiseled Tuff", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/chiseled_tuff" },
  { id: "chiseled_tuff_bricks", name: "Chiseled Tuff Bricks", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/chiseled_tuff_bricks" },
  { id: "clay", name: "Clay", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/clay" },
  { id: "coal_ore", name: "Coal Ore", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/coal_ore" },
  { id: "coarse_dirt", name: "Coarse Dirt", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/coarse_dirt" },
  { id: "cobbled_deepslate", name: "Cobbled Deepslate", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/deepslate/cobbled_deepslate" },
  { id: "cobblestone", name: "Cobblestone", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/cobblestone" },
  { id: "copper_bulb", name: "Copper Bulb", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/copper_bulb" },
  { id: "copper_grate", name: "Copper Grate", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/copper_grate" },
  { id: "copper_ore", name: "Copper Ore", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/copper_ore" },
  { id: "cracked_deepslate_bricks", name: "Cracked Deepslate Bricks", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/deepslate/cracked_deepslate_bricks" },
  { id: "cracked_deepslate_tiles", name: "Cracked Deepslate Tiles", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/deepslate/cracked_deepslate_tiles" },
  { id: "cracked_nether_bricks", name: "Cracked Nether Bricks", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/cracked_nether_bricks" },
  { id: "cracked_polished_blackstone_bricks", name: "Cracked Polished Blackstone Bricks", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/cracked_polished_blackstone_bricks" },
  { id: "cracked_stone_bricks", name: "Cracked Stone Bricks", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/stonebrick_cracked" },
  { id: "crafter", name: "Crafter", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/crafter_top" },
  { id: "crafting_table", name: "Crafting Table", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/crafting_table_front" },
  { id: "crimson_nylium", name: "Crimson Nylium", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/crimson_nylium_side" },
  { id: "crimson_planks", name: "Crimson Planks", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/huge_fungus/crimson_planks" },
  { id: "crimson_stem", name: "Crimson Stem", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/sd/bam/blocks/crimson_log_side" },
  { id: "crying_obsidian", name: "Crying Obsidian", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/crying_obsidian" },
  { id: "cut_copper", name: "Cut Copper", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/cut_copper" },
  { id: "cut_red_sandstone", name: "Cut Red Sandstone", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/red_sandstone_smooth" },
  { id: "cut_sandstone", name: "Cut Sandstone", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/sandstone_smooth" },
  { id: "cyan_concrete", name: "Cyan Concrete", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/concrete_cyan" },
  { id: "cyan_concrete_powder", name: "Cyan Concrete Powder", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/concrete_powder_cyan" },
  { id: "cyan_glazed_terracotta", name: "Cyan Glazed Terracotta", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/glazed_terracotta_cyan" },
  { id: "cyan_stained_glass", name: "Cyan Stained Glass", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/glass_cyan" },
  { id: "cyan_terracotta", name: "Cyan Terracotta", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/hardened_clay_stained_cyan" },
  { id: "cyan_wool", name: "Cyan Wool", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/wool_colored_cyan" },
  { id: "dark_oak_leaves", name: "Dark Oak Leaves", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/leaves_big_oak_carried" },
  { id: "dark_oak_log", name: "Dark Oak Log", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/log_big_oak" },
  { id: "dark_oak_planks", name: "Dark Oak Planks", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/planks_big_oak" },
  { id: "dark_prismarine", name: "Dark Prismarine", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/prismarine_dark" },
  { id: "dead_brain_coral_block", name: "Dead Brain Coral Block", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/coral_pink_dead" },
  { id: "dead_bubble_coral_block", name: "Dead Bubble Coral Block", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/coral_purple_dead" },
  { id: "dead_fire_coral_block", name: "Dead Fire Coral Block", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/coral_red_dead" },
  { id: "dead_horn_coral_block", name: "Dead Horn Coral Block", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/coral_yellow_dead" },
  { id: "dead_tube_coral_block", name: "Dead Tube Coral Block", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/coral_blue_dead" },
  { id: "deepslate", name: "Deepslate", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/deepslate/deepslate" },
  { id: "deepslate_bricks", name: "Deepslate Bricks", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/deepslate/deepslate_bricks" },
  { id: "deepslate_coal_ore", name: "Deepslate Coal Ore", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/deepslate/deepslate_coal_ore" },
  { id: "deepslate_copper_ore", name: "Deepslate Copper Ore", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/deepslate/deepslate_copper_ore" },
  { id: "deepslate_diamond_ore", name: "Deepslate Diamond Ore", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/deepslate/deepslate_diamond_ore" },
  { id: "deepslate_emerald_ore", name: "Deepslate Emerald Ore", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/deepslate/deepslate_emerald_ore" },
  { id: "deepslate_gold_ore", name: "Deepslate Gold Ore", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/deepslate/deepslate_gold_ore" },
  { id: "deepslate_iron_ore", name: "Deepslate Iron Ore", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/deepslate/deepslate_iron_ore" },
  { id: "deepslate_lapis_ore", name: "Deepslate Lapis Lazuli Ore", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/deepslate/deepslate_lapis_ore" },
  { id: "deepslate_redstone_ore", name: "Deepslate Redstone Ore", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/deepslate/deepslate_redstone_ore" },
  { id: "deepslate_tiles", name: "Deepslate Tiles", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/deepslate/deepslate_tiles" },
  { id: "diamond_ore", name: "Diamond Ore", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/diamond_ore" },
  { id: "diorite", name: "Diorite", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/stone_diorite" },
  { id: "dirt", name: "Dirt", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/dirt" },
  { id: "dispenser", name: "Dispenser", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/dispenser_front_horizontal" },
  { id: "dried_kelp_block", name: "Dried Kelp Block", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/dried_kelp_top" },
  { id: "dripstone_block", name: "Dripstone Block", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/dripstone_block" },
  { id: "dropper", name: "Dropper", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/dropper_front_horizontal" },
  { id: "emerald_ore", name: "Emerald Ore", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/emerald_ore" },
  { id: "end_stone", name: "End Stone", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/end_stone" },
  { id: "end_bricks", name: "End Stone Bricks", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/end_bricks" },
  { id: "exposed_chiseled_copper", name: "Exposed Chiseled Copper", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/exposed_chiseled_copper" },
  { id: "exposed_copper", name: "Exposed Copper", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/exposed_copper" },
  { id: "exposed_copper_bulb", name: "Exposed Copper Bulb", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/exposed_copper_bulb" },
  { id: "exposed_copper_grate", name: "Exposed Copper Grate", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/exposed_copper_grate" },
  { id: "exposed_cut_copper", name: "Exposed Cut Copper", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/exposed_cut_copper" },
  { id: "fire_coral_block", name: "Fire Coral Block", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/coral_red" },
  { id: "fletching_table", name: "Fletching Table", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/fletcher_table_side1" },
  { id: "azalea_leaves_flowered", name: "Flowering Azalea Leaves", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/azalea_leaves_flowers" },
  { id: "furnace", name: "Furnace", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/furnace_front_off" },
  { id: "gilded_blackstone", name: "Gilded Blackstone", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/gilded_blackstone" },
  { id: "glass", name: "Glass", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/glass" },
  { id: "glowstone", name: "Glowstone", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/glowstone" },
  { id: "gold_ore", name: "Gold Ore", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/gold_ore" },
  { id: "granite", name: "Granite", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/stone_granite" },
  { id: "grass_block", name: "Grass Block", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/grass_side_carried" },
  { id: "gravel", name: "Gravel", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/gravel" },
  { id: "gray_concrete", name: "Gray Concrete", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/concrete_gray" },
  { id: "gray_concrete_powder", name: "Gray Concrete Powder", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/concrete_powder_gray" },
  { id: "gray_glazed_terracotta", name: "Gray Glazed Terracotta", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/glazed_terracotta_gray" },
  { id: "gray_stained_glass", name: "Gray Stained Glass", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/glass_gray" },
  { id: "gray_terracotta", name: "Gray Terracotta", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/hardened_clay_stained_gray" },
  { id: "gray_wool", name: "Gray Wool", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/wool_colored_gray" },
  { id: "green_concrete", name: "Green Concrete", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/concrete_green" },
  { id: "green_concrete_powder", name: "Green Concrete Powder", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/concrete_powder_green" },
  { id: "green_glazed_terracotta", name: "Green Glazed Terracotta", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/glazed_terracotta_green" },
  { id: "green_stained_glass", name: "Green Stained Glass", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/glass_green" },
  { id: "green_terracotta", name: "Green Terracotta", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/hardened_clay_stained_green" },
  { id: "green_wool", name: "Green Wool", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/wool_colored_green" },
  { id: "hay_block", name: "Hay Bale", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/hay_block_side" },
  { id: "honey_block", name: "Honey Block", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/sd/bam/items/morph_icons/honey_block" },
  { id: "honeycomb_block", name: "Honeycomb Block", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/honeycomb" },
  { id: "horn_coral_block", name: "Horn Coral Block", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/coral_yellow" },
  { id: "ice", name: "Ice", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/ice" },
  { id: "iron_ore", name: "Iron Ore", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/iron_ore" },
  { id: "lit_pumpkin", name: "Jack o'Lantern", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/pumpkin_face_on" },
  { id: "jukebox", name: "Jukebox", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/jukebox_top" },
  { id: "jungle_leaves", name: "Jungle Leaves", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/leaves_jungle_carried" },
  { id: "jungle_log", name: "Jungle Log", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/log_jungle" },
  { id: "jungle_planks", name: "Jungle Planks", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/planks_jungle" },
  { id: "lapis_ore", name: "Lapis Lazuli Ore", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/lapis_ore" },
  { id: "light_blue_concrete", name: "Light Blue Concrete", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/concrete_light_blue" },
  { id: "light_blue_concrete_powder", name: "Light Blue Concrete Powder", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/concrete_powder_light_blue" },
  { id: "light_blue_glazed_terracotta", name: "Light Blue Glazed Terracotta", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/glazed_terracotta_light_blue" },
  { id: "light_blue_stained_glass", name: "Light Blue Stained Glass", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/glass_light_blue" },
  { id: "light_blue_terracotta", name: "Light Blue Terracotta", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/hardened_clay_stained_light_blue" },
  { id: "light_blue_wool", name: "Light Blue Wool", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/wool_colored_light_blue" },
  { id: "light_gray_concrete", name: "Light Gray Concrete", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/concrete_silver" },
  { id: "light_gray_concrete_powder", name: "Light Gray Concrete Powder", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/concrete_powder_silver" },
  { id: "silver_glazed_terracotta", name: "Light Gray Glazed Terracotta", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/glazed_terracotta_silver" },
  { id: "light_gray_stained_glass", name: "Light Gray Stained Glass", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/glass_silver" },
  { id: "light_gray_terracotta", name: "Light Gray Terracotta", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/hardened_clay_stained_silver" },
  { id: "light_gray_wool", name: "Light Gray Wool", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/wool_colored_silver" },
  { id: "lime_concrete", name: "Lime Concrete", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/concrete_lime" },
  { id: "lime_concrete_powder", name: "Lime Concrete Powder", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/concrete_powder_lime" },
  { id: "lime_glazed_terracotta", name: "Lime Glazed Terracotta", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/glazed_terracotta_lime" },
  { id: "lime_stained_glass", name: "Lime Stained Glass", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/glass_lime" },
  { id: "lime_terracotta", name: "Lime Terracotta", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/hardened_clay_stained_lime" },
  { id: "lime_wool", name: "Lime Wool", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/wool_colored_lime" },
  { id: "lodestone", name: "Lodestone", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/lodestone_side" },
  { id: "loom", name: "Loom", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/loom_front" },
  { id: "magenta_concrete", name: "Magenta Concrete", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/concrete_magenta" },
  { id: "magenta_concrete_powder", name: "Magenta Concrete Powder", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/concrete_powder_magenta" },
  { id: "magenta_glazed_terracotta", name: "Magenta Glazed Terracotta", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/glazed_terracotta_magenta" },
  { id: "magenta_stained_glass", name: "Magenta Stained Glass", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/glass_magenta" },
  { id: "magenta_terracotta", name: "Magenta Terracotta", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/hardened_clay_stained_magenta" },
  { id: "magenta_wool", name: "Magenta Wool", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/wool_colored_magenta" },
  { id: "magma", name: "Magma Block", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/sd/bam/blocks/magma" },
  { id: "mangrove_leaves", name: "Mangrove Leaves", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/mangrove_leaves_carried" },
  { id: "mangrove_log", name: "Mangrove Log", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/mangrove_log_side" },
  { id: "mangrove_planks", name: "Mangrove Planks", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/mangrove_planks" },
  { id: "mangrove_roots", name: "Mangrove Roots", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/mangrove_roots_side" },
  { id: "melon_block", name: "Melon", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/melon_side" },
  { id: "mob_spawner", name: "Monster Spawner", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/mob_spawner" },
  { id: "moss_block", name: "Moss Block", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/moss_block" },
  { id: "mossy_cobblestone", name: "Mossy Cobblestone", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/cobblestone_mossy" },
  { id: "mossy_stone_bricks", name: "Mossy Stone Bricks", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/stonebrick_mossy" },
  { id: "mud", name: "Mud", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/mud" },
  { id: "mud_bricks", name: "Mud Bricks", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/mud_bricks" },
  { id: "muddy_mangrove_roots", name: "Muddy Mangrove Roots", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/muddy_mangrove_roots_side" },
  { id: "mycelium", name: "Mycelium", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/mycelium_side" },
  { id: "nether_brick", name: "Nether Bricks", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/nether_brick" },
  { id: "nether_gold_ore", name: "Nether Gold Ore", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/nether_gold_ore" },
  { id: "quartz_ore", name: "Nether Quartz Ore", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/quartz_ore" },
  { id: "nether_wart_block", name: "Nether Wart Block", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/nether_wart_block" },
  { id: "netherrack", name: "Netherrack", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/netherrack" },
  { id: "noteblock", name: "Note Block", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/noteblock" },
  { id: "oak_leaves", name: "Oak Leaves", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/leaves_oak_carried" },
  { id: "oak_log", name: "Oak Log", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/log_oak" },
  { id: "oak_planks", name: "Oak Planks", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/planks_oak" },
  { id: "observer", name: "Observer", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/observer_front" },
  { id: "obsidian", name: "Obsidian", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/obsidian" },
  { id: "ochre_froglight", name: "Ochre Froglight", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/ochre_froglight_side" },
  { id: "orange_concrete", name: "Orange Concrete", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/concrete_orange" },
  { id: "orange_concrete_powder", name: "Orange Concrete Powder", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/concrete_powder_orange" },
  { id: "orange_glazed_terracotta", name: "Orange Glazed Terracotta", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/glazed_terracotta_orange" },
  { id: "orange_stained_glass", name: "Orange Stained Glass", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/glass_orange" },
  { id: "orange_terracotta", name: "Orange Terracotta", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/hardened_clay_stained_orange" },
  { id: "orange_wool", name: "Orange Wool", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/wool_colored_orange" },
  { id: "oxidized_chiseled_copper", name: "Oxidized Chiseled Copper", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/oxidized_chiseled_copper" },
  { id: "oxidized_copper", name: "Oxidized Copper", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/oxidized_copper" },
  { id: "oxidized_copper_bulb", name: "Oxidized Copper Bulb", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/oxidized_copper_bulb" },
  { id: "oxidized_copper_grate", name: "Oxidized Copper Grate", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/oxidized_copper_grate" },
  { id: "oxidized_cut_copper", name: "Oxidized Cut Copper", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/oxidized_cut_copper" },
  { id: "packed_ice", name: "Packed Ice", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/ice_packed" },
  { id: "packed_mud", name: "Packed Mud", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/packed_mud" },
  { id: "pearlescent_froglight", name: "Pearlescent Froglight", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/pearlescent_froglight_side" },
  { id: "pink_concrete", name: "Pink Concrete", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/concrete_pink" },
  { id: "pink_concrete_powder", name: "Pink Concrete Powder", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/concrete_powder_pink" },
  { id: "pink_glazed_terracotta", name: "Pink Glazed Terracotta", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/glazed_terracotta_pink" },
  { id: "pink_stained_glass", name: "Pink Stained Glass", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/glass_pink" },
  { id: "pink_terracotta", name: "Pink Terracotta", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/hardened_clay_stained_pink" },
  { id: "pink_wool", name: "Pink Wool", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/wool_colored_pink" },
  { id: "piston", name: "Piston", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/piston_top_normal" },
  { id: "podzol", name: "Podzol", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/dirt_podzol_side" },
  { id: "polished_andesite", name: "Polished Andesite", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/stone_andesite_smooth" },
  { id: "polished_basalt", name: "Polished Basalt", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/polished_basalt_side" },
  { id: "polished_blackstone", name: "Polished Blackstone", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/polished_blackstone" },
  { id: "polished_blackstone_bricks", name: "Polished Blackstone Bricks", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/polished_blackstone_bricks" },
  { id: "polished_deepslate", name: "Polished Deepslate", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/deepslate/polished_deepslate" },
  { id: "polished_diorite", name: "Polished Diorite", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/stone_diorite_smooth" },
  { id: "polished_granite", name: "Polished Granite", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/stone_granite_smooth" },
  { id: "polished_tuff", name: "Polished Tuff", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/polished_tuff" },
  { id: "powder_snow", name: "Powder Snow", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/powder_snow" },
  { id: "prismarine", name: "Prismarine", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/sd/bam/blocks/prismarine_rough" },
  { id: "prismarine_bricks", name: "Prismarine Bricks", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/prismarine_bricks" },
  { id: "pumpkin", name: "Pumpkin", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/pumpkin_side" },
  { id: "purple_concrete", name: "Purple Concrete", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/concrete_purple" },
  { id: "purple_concrete_powder", name: "Purple Concrete Powder", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/concrete_powder_purple" },
  { id: "purple_glazed_terracotta", name: "Purple Glazed Terracotta", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/glazed_terracotta_purple" },
  { id: "purple_stained_glass", name: "Purple Stained Glass", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/glass_purple" },
  { id: "purple_terracotta", name: "Purple Terracotta", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/hardened_clay_stained_purple" },
  { id: "purple_wool", name: "Purple Wool", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/wool_colored_purple" },
  { id: "purpur_block", name: "Purpur Block", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/purpur_block" },
  { id: "purpur_pillar", name: "Purpur Pillar", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/purpur_pillar" },
  { id: "quartz_bricks", name: "Quartz Bricks", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/quartz_bricks" },
  { id: "quartz_pillar", name: "Quartz Pillar", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/quartz_block_lines" },
  { id: "red_concrete", name: "Red Concrete", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/concrete_red" },
  { id: "red_concrete_powder", name: "Red Concrete Powder", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/concrete_powder_red" },
  { id: "red_glazed_terracotta", name: "Red Glazed Terracotta", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/glazed_terracotta_red" },
  { id: "red_mushroom_block", name: "Red Mushroom Block", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/mushroom_block_skin_red" },
  { id: "red_nether_brick", name: "Red Nether Bricks", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/red_nether_brick" },
  { id: "red_sand", name: "Red Sand", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/red_sand" },
  { id: "red_sandstone", name: "Red Sandstone", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/red_sandstone_normal" },
  { id: "red_stained_glass", name: "Red Stained Glass", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/glass_red" },
  { id: "red_terracotta", name: "Red Terracotta", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/hardened_clay_stained_red" },
  { id: "red_wool", name: "Red Wool", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/wool_colored_red" },
  { id: "redstone_lamp", name: "Redstone Lamp", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/redstone_lamp_off" },
  { id: "redstone_ore", name: "Redstone Ore", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/redstone_ore" },
  { id: "reinforced_deepslate", name: "Reinforced Deepslate", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/reinforced_deepslate_side" },
  { id: "respawn_anchor", name: "Respawn Anchor", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/respawn_anchor_side0" },
  { id: "dirt_with_roots", name: "Rooted Dirt", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/dirt_with_roots" },
  { id: "sand", name: "Sand", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/sand" },
  { id: "sandstone", name: "Sandstone", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/sandstone_normal" },
  { id: "sculk", name: "Sculk", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/sd/bam/blocks/sculk" },
  { id: "sculk_catalyst", name: "Sculk Catalyst", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/sculk_catalyst_side" },
  { id: "sea_lantern", name: "Sea Lantern", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/sd/bam/blocks/sea_lantern" },
  { id: "shroomlight", name: "Shroomlight", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/shroomlight" },
  { id: "slime_block", name: "Slime Block", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/sd/bam/items/morph_icons/slime_block" },
  { id: "smithing_table", name: "Smithing Table", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/smithing_table_side" },
  { id: "smoker", name: "Smoker", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/smoker_front_off" },
  { id: "smooth_basalt", name: "Smooth Basalt", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/smooth_basalt" },
  { id: "smooth_quartz", name: "Smooth Quartz Block", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/quartz_block_bottom" },
  { id: "smooth_red_sandstone", name: "Smooth Red Sandstone", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/red_sandstone_top" },
  { id: "smooth_sandstone", name: "Smooth Sandstone", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/sandstone_top" },
  { id: "smooth_stone", name: "Smooth Stone", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/stone_slab_top" },
  { id: "snow", name: "Snow", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/snow" },
  { id: "soul_sand", name: "Soul Sand", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/soul_sand" },
  { id: "soul_soil", name: "Soul Soil", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/soul_soil" },
  { id: "sponge", name: "Sponge", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/sponge" },
  { id: "spruce_leaves", name: "Spruce Leaves", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/leaves_spruce_carried" },
  { id: "spruce_log", name: "Spruce Log", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/log_spruce" },
  { id: "spruce_planks", name: "Spruce Planks", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/planks_spruce" },
  { id: "sticky_piston", name: "Sticky Piston", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/piston_top_sticky" },
  { id: "stone", name: "Stone", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/stone" },
  { id: "stone_bricks", name: "Stone Bricks", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/stonebrick" },
  { id: "stripped_acacia_log", name: "Stripped Acacia Log", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/stripped_acacia_log" },
  { id: "stripped_birch_log", name: "Stripped Birch Log", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/stripped_birch_log" },
  { id: "stripped_cherry_log", name: "Stripped Cherry Log", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/stripped_cherry_log_side" },
  { id: "stripped_crimson_stem", name: "Stripped Crimson Stem", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/huge_fungus/stripped_crimson_stem_side" },
  { id: "stripped_dark_oak_log", name: "Stripped Dark Oak Log", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/stripped_dark_oak_log" },
  { id: "stripped_jungle_log", name: "Stripped Jungle Log", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/stripped_jungle_log" },
  { id: "stripped_mangrove_log", name: "Stripped Mangrove Log", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/stripped_mangrove_log_side" },
  { id: "stripped_oak_log", name: "Stripped Oak Log", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/stripped_oak_log" },
  { id: "stripped_spruce_log", name: "Stripped Spruce Log", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/stripped_spruce_log" },
  { id: "stripped_warped_stem", name: "Stripped Warped Stem", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/huge_fungus/stripped_warped_stem_side" },
  { id: "suspicious_gravel", name: "Suspicious Gravel", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/suspicious_gravel_0" },
  { id: "suspicious_sand", name: "Suspicious Sand", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/suspicious_sand_0" },
  { id: "target", name: "Target", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/target_side" },
  { id: "hardened_clay", name: "Terracotta", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/hardened_clay" },
  { id: "tinted_glass", name: "Tinted Glass", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/tinted_glass" },
  { id: "tnt", name: "TNT", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/tnt_side" },
  { id: "tube_coral_block", name: "Tube Coral Block", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/coral_blue" },
  { id: "tuff", name: "Tuff", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/tuff" },
  { id: "tuff_bricks", name: "Tuff Bricks", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/tuff_bricks" },
  { id: "verdant_froglight", name: "Verdant Froglight", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/verdant_froglight_side" },
  { id: "warped_nylium", name: "Warped Nylium", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/warped_nylium_side" },
  { id: "warped_planks", name: "Warped Planks", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/huge_fungus/warped_planks" },
  { id: "warped_stem", name: "Warped Stem", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/sd/bam/blocks/warped_stem_side" },
  { id: "warped_wart_block", name: "Warped Wart Block", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/warped_wart_block" },
  { id: "waxed_chiseled_copper", name: "Waxed Chiseled Copper", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/chiseled_copper" },
  { id: "waxed_copper", name: "Waxed Copper", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/copper_block" },
  { id: "waxed_copper_bulb", name: "Waxed Copper Bulb", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/copper_bulb" },
  { id: "waxed_copper_grate", name: "Waxed Copper Grate", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/copper_grate" },
  { id: "waxed_exposed_chiseled_copper", name: "Waxed Exposed Chiseled Copper", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/exposed_chiseled_copper" },
  { id: "waxed_exposed_copper", name: "Waxed Exposed Copper", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/exposed_copper" },
  { id: "waxed_exposed_copper_bulb", name: "Waxed Exposed Copper Bulb", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/exposed_copper_bulb" },
  { id: "waxed_exposed_copper_grate", name: "Waxed Exposed Copper Grate", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/exposed_copper_grate" },
  { id: "waxed_oxidized_chiseled_copper", name: "Waxed Oxidized Chiseled Copper", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/oxidized_chiseled_copper" },
  { id: "waxed_oxidized_copper", name: "Waxed Oxidized Copper", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/oxidized_copper" },
  { id: "waxed_oxidized_copper_bulb", name: "Waxed Oxidized Copper Bulb", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/oxidized_copper_bulb" },
  { id: "waxed_oxidized_copper_grate", name: "Waxed Oxidized Copper Grate", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/oxidized_copper_grate" },
  { id: "waxed_weathered_chiseled_copper", name: "Waxed Weathered Chiseled Copper", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/weathered_chiseled_copper" },
  { id: "waxed_weathered_copper", name: "Waxed Weathered Copper", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/weathered_copper" },
  { id: "waxed_weathered_copper_bulb", name: "Waxed Weathered Copper Bulb", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/weathered_copper_bulb" },
  { id: "waxed_weathered_copper_grate", name: "Waxed Weathered Copper Grate", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/weathered_copper_grate" },
  { id: "weathered_chiseled_copper", name: "Weathered Chiseled Copper", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/weathered_chiseled_copper" },
  { id: "weathered_copper", name: "Weathered Copper", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/weathered_copper" },
  { id: "weathered_copper_bulb", name: "Weathered Copper Bulb", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/weathered_copper_bulb" },
  { id: "weathered_copper_grate", name: "Weathered Copper Grate", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/weathered_copper_grate" },
  { id: "weathered_cut_copper", name: "Weathered Cut Copper", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/weathered_cut_copper" },
  { id: "wet_sponge", name: "Wet Sponge", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/sponge_wet" },
  { id: "white_concrete", name: "White Concrete", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/concrete_white" },
  { id: "white_concrete_powder", name: "White Concrete Powder", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/concrete_powder_white" },
  { id: "white_glazed_terracotta", name: "White Glazed Terracotta", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/glazed_terracotta_white" },
  { id: "white_stained_glass", name: "White Stained Glass", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/glass_white" },
  { id: "white_terracotta", name: "White Terracotta", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/hardened_clay_stained_white" },
  { id: "white_wool", name: "White Wool", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/wool_colored_white" },
  { id: "yellow_concrete", name: "Yellow Concrete", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/concrete_yellow" },
  { id: "yellow_concrete_powder", name: "Yellow Concrete Powder", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/concrete_powder_yellow" },
  { id: "yellow_glazed_terracotta", name: "Yellow Glazed Terracotta", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/glazed_terracotta_yellow" },
  { id: "yellow_stained_glass", name: "Yellow Stained Glass", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/glass_yellow" },
  { id: "yellow_terracotta", name: "Yellow Terracotta", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/hardened_clay_stained_yellow" },
  { id: "yellow_wool", name: "Yellow Wool", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/wool_colored_yellow" },
  { id: "trial_spawner", name: "Trial Spawner", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/trial_spawner_side_inactive" },
  { id: "vault", name: "Vault", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/vault_front_off" },
  { id: "creaking_heart", name: "Creaking Heart", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/creaking_heart_side_inactive" },
  { id: "pale_moss_block", name: "Pale Moss Block", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/pale_moss_block" },
  { id: "pale_oak_leaves", name: "Pale Oak Leaves", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/pale_oak_leaves" },
  { id: "pale_oak_log", name: "Pale Oak Log", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/pale_oak_log_side" },
  { id: "pale_oak_planks", name: "Pale Oak Planks", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/pale_oak_planks" },
  { id: "pale_oak_wood", name: "Pale Oak Wood", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/pale_oak_log_side" },
  { id: "stripped_pale_oak_log", name: "Stripped Pale Oak Log", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/stripped_pale_oak_log_side" },
  { id: "stripped_pale_oak_wood", name: "Stripped Pale Oak Wood", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/stripped_pale_oak_log_side" },
  { id: "resin_block", name: "Block of Resin", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/resin_block" },
  { id: "resin_bricks", name: "Resin Bricks", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/resin_bricks" },
  { id: "chiseled_resin_bricks", name: "Chiseled Resin Bricks", variants: [], effects: [], speed: {}, can_fly: false, has_ability: 0, texture_path: "textures/blocks/chiseled_resin_bricks" }
];
const morphs = mobs.concat(blocks);
export {
  MorphColor,
  blocks,
  mobs,
  morphs
};
